#	Change to source file name
target=test
lang=c
#	Change to directory libv installed into
libvroot=..\..
rm=del
cc=wcl386.exe
cdebug=-d3 -hd
cflags=-c -w4 -fpi87 -i=$(libvroot)\include $(cdebug)
optflags=-obmilkert -s
ld=wlink.exe
lform=form windows nt runtime console op c
ldeb=debug dwarf all
vlib=library $(libvroot)\lib\win32\watcom\libv.lib
all:$(target)
.$(lang).obj:
	set include=$(WATCOM)\H;$(WATCOM)\H\NT
	$(cc) $(cflags) $(cdebug) $*.$(lang)
runtimelibs=library kernel32.lib library gdi32.lib library opengl32.lib \
	library user32.lib library winmm.lib
$(target):$(target).obj $(libvroot)\lib\win32\watcom\libv.lib
	set lib=$(WATCOM)\lib386;$(WATCOM)\lib386\nt
	$(ld) $(lform) $(ldeb) file $(target).obj $(vlib) $(runtimelibs)
clean:
	$(rm) $(target).exe
	$(rm) $(target).obj
